OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.IBM.VertexArrayLists

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetIBMVertexArrayLists :: MonadIO m => m Bool
- gl_IBM_vertex_array_lists :: Bool
- gl_COLOR_ARRAY_LIST_IBM :: GLenum
- gl_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_EDGE_FLAG_ARRAY_LIST_IBM :: GLenum
- gl_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_FOG_COORDINATE_ARRAY_LIST_IBM :: GLenum
- gl_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_INDEX_ARRAY_LIST_IBM :: GLenum
- gl_INDEX_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_NORMAL_ARRAY_LIST_IBM :: GLenum
- gl_NORMAL_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_SECONDARY_COLOR_ARRAY_LIST_IBM :: GLenum
- gl_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_TEXTURE_COORD_ARRAY_LIST_IBM :: GLenum
- gl_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM :: GLenum
- gl_VERTEX_ARRAY_LIST_IBM :: GLenum
- gl_VERTEX_ARRAY_LIST_STRIDE_IBM :: GLenum
- glColorPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glEdgeFlagPointerListIBM :: MonadIO m => GLint -> Ptr (Ptr GLboolean) -> GLint -> m ()
- glFogCoordPointerListIBM :: MonadIO m => GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glIndexPointerListIBM :: MonadIO m => GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glNormalPointerListIBM :: MonadIO m => GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glSecondaryColorPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glTexCoordPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glVertexPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()

# Extension Support

glGetIBMVertexArrayLists :: MonadIO m => m Bool

Is the IBM_vertex_array_lists extension supported?

gl_IBM_vertex_array_lists :: Bool

Is the IBM_vertex_array_lists extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetIBMVertexArrayLists` in those cases instead.

# Enums

gl_COLOR_ARRAY_LIST_IBM :: GLenum

gl_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_EDGE_FLAG_ARRAY_LIST_IBM :: GLenum

gl_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_FOG_COORDINATE_ARRAY_LIST_IBM :: GLenum

gl_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_INDEX_ARRAY_LIST_IBM :: GLenum

gl_INDEX_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_NORMAL_ARRAY_LIST_IBM :: GLenum

gl_NORMAL_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_SECONDARY_COLOR_ARRAY_LIST_IBM :: GLenum

gl_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_TEXTURE_COORD_ARRAY_LIST_IBM :: GLenum

gl_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM :: GLenum

gl_VERTEX_ARRAY_LIST_IBM :: GLenum

gl_VERTEX_ARRAY_LIST_STRIDE_IBM :: GLenum

# Functions

glColorPointerListIBM

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glEdgeFlagPointerListIBM

Arguments

:: MonadIO m |
=> GLint | `stride`.
-> Ptr (Ptr GLboolean) | `pointer` pointing to `COMPSIZE(stride)` elements of type `Ptr BooleanPointer`.
-> GLint | `ptrstride`.
-> m () |

glFogCoordPointerListIBM

Arguments

:: MonadIO m |
=> GLenum | `type` of type FogPointerTypeIBM.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glIndexPointerListIBM

Arguments

:: MonadIO m |
=> GLenum | `type` of type IndexPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glNormalPointerListIBM

Arguments

:: MonadIO m |
=> GLenum | `type` of type NormalPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glSecondaryColorPointerListIBM

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type `SecondaryColorPointerTypeIBM`.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glTexCoordPointerListIBM

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glVertexPointerListIBM

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |